# Generated from correios-frete-1.13.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name correios-frete

Name: rubygem-%{gem_name}
Version: 1.13.0
Release: 1%{?dist}
Summary: Calculo de frete dos Correios
License: MIT
URL: http://prodis.blog.br/correios-frete-gem-para-calculo-de-frete-dos-correios
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(pry) >= 0.11
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 3.1
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
Calculo de frete utilizando o Web Service dos Correios
(http://www.correios.com.br/webservices).
Os servicos de frete suportados sao PAC, SEDEX, SEDEX a Cobrar, SEDEX 10,
SEDEX Hoje e e-SEDEX.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/misc
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.rdoc
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/correios-frete.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.13.0-1
- Initial package
